GNU bug report logs - #40750
Use error face for errors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: ndame <ndame@HIDDEN>; dated Tue, 21 Apr 2020 18:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40750 <at> debbugs.gnu.org:


Received: (at 40750) by debbugs.gnu.org; 25 Sep 2021 02:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 22:42:26 2021
Received: from localhost ([127.0.0.1]:59924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTxdy-0000Ge-OJ
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:42:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTxdv-0000GK-P0
 for 40750 <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:42:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=myIkj4yaESJ/iM4dvL1cVrfw+IZJzirmX2r9vhHW3z4=; b=bN6sSm9D9ekpyF4udDmUjWtRN/
 dmj3HQinUSIkq72n/0f/hehqzr4NVi7dTPS3+3BGUJwwE46LSv5bB/QN9COdplraSxsOwrFMSTtGj
 bpA/SOBxZTpGAb800u9tQgrnMBbaZb/yZrPfDXakcMah2w7w8VDkdwwMRmmdkNccaInI=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTxdn-0000KG-Fx; Sat, 25 Sep 2021 04:42:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#40750: Use error face for errors
References: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
 <87eeie8ebe.fsf@HIDDEN>
 <CADwFkm=c3X70XKMZneD_qxFqReNUjbhL-iMTiPcWTMCdcCVOKg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXbAULfC0XfWEbY
 Czfxg272ubP///+I0O32AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UJGQIaLVwqKDUAAAG3SURBVDjL
 pZNNttsgDIVl0wU4TTJvBJkTlBVQeQF1Yf9beVfxH8/urHjgc/SZe4V8IfqP9ZNfRN25npQl/gsE
 Zf+geKp3qtnzaziBHoD961R3kpjN5LjEQDLg5DtwrHBHUegIQLxEt6vF6EScMB6J1w3cWR/6zOQS
 oyvqNqWx1jLW4ihVHT3RtQEjnoKDZIVMv0oF1VvB4WxWjGK3nn1uW6TzzP497GAbyd+g/g33X03x
 OtBrnIKdZKAGdDT0oVbVWuuf0EhdaLDGrI7eN+DkQhfreV6/t5Fc3IPuSxWb8ubh6EE/FvCEVG49
 0iqETTm2QNf6iNnvgXJBP6O0Ddps6a9h2TFpyA3o+HO2WuwwvtVi5XFxyDHsW1wK/jm3NOaYELw1
 CBj4bZ6HTuR2rcTJ39QM4E30Vp61HGePvAWMnQP0XVi0kCgD3iOJeJnCBqKIsBbcBETLPONs4SOU
 4M06eRfx4Qrw3XtuCiG14LEsAK4ol6KBESd4xh2MJVtRP5mf74lYLwFhzGyzZdmvj5hH4c+Sw/24
 VdNeXNt1twliyv4IbLol4I8fwTiHp07xe71bw1AOoD+BLwvThsXYFrzSAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIxLTA5LTI1VDAyOjI2OjQ0KzAwOjAwLrmEGgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MS0wOS0yNVQwMjoyNjo0NCswMDowMF/kPKYAAAAASUVORK5CYII=
X-Now-Playing: Bertine Zetlitz's _Sweet Injections_: "Girl like you"
Date: Sat, 25 Sep 2021 04:42:14 +0200
In-Reply-To: <CADwFkm=c3X70XKMZneD_qxFqReNUjbhL-iMTiPcWTMCdcCVOKg@HIDDEN>
 (Stefan Kangas's message of "Fri, 24 Sep 2021 19:41:11 -0700")
Message-ID: <87ee9dnzp5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > I think having
 a face here would be interesting, even if it just looks > like the default
 face. That would open the door for experimentation in > third-party themes,
 and perhaps they will come up wi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40750
Cc: 40750 <at> debbugs.gnu.org, ndame <ndame@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> I think having a face here would be interesting, even if it just looks
> like the default face.  That would open the door for experimentation in
> third-party themes, and perhaps they will come up with some good ideas
> that we will want to imitate.

Yes, that's a good point.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40750; Package emacs. Full text available.

Message received at 40750 <at> debbugs.gnu.org:


Received: (at 40750) by debbugs.gnu.org; 25 Sep 2021 02:41:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 22:41:20 2021
Received: from localhost ([127.0.0.1]:59919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTxcu-0000Ea-EY
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:41:20 -0400
Received: from mail-pj1-f54.google.com ([209.85.216.54]:41769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mTxcr-0000EI-Ez
 for 40750 <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:41:19 -0400
Received: by mail-pj1-f54.google.com with SMTP id
 pf3-20020a17090b1d8300b0019e081aa87bso9015141pjb.0
 for <40750 <at> debbugs.gnu.org>; Fri, 24 Sep 2021 19:41:17 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=q2jds7FABWkgHISit8ZZz9y2lFnqxbSx4Ysn3E4vyQ4=;
 b=jUnXLMfCkt1w379F99S1ZhwionanC6U1M+8UO7gn4lzn2PWEEe+cYo1LHDS2grVbji
 oP25mO0zRIa77HQCjpWIkTqj1Fv7G9N8qiUtLSiOXjMkAioEfMv6AHdNS8bBGRN0WcWN
 9tBPrEIHNiJD5A5e0UEs9CcVBiYBGDS6WtLED5deVnCSX1YY52jtVzkpqS+vv00H2KYw
 BZJ6NF01aXXjWf4uK4Tj7VCM79Go8mR93y6CNbXdrqHvU++W/c94tYfGjU3J/EqZWUxt
 pDPp0bQHyQBNFVmgqAr+lUsHC582A93FEQHrfIC+RRETuDdNwgCI/+BV0wpeqS1zNHFO
 mfvQ==
X-Gm-Message-State: AOAM531jKG/ZuJOdiVoxZTAYzP5A2nGW6ku31w0r9GtmqQ2bqgKXUXhK
 Zc73Ccv18KhQPlMOE/T7e0xED5ZPMlGEVGe1AcQ=
X-Google-Smtp-Source: ABdhPJwiHsgYNywGbPHev27BCUdtY0idL5JEtDi3jsq6Xl/tQjUrTw8nazaj5ynQe0WyYWcHghzZdMRpwcRSLrPFBUY=
X-Received: by 2002:a17:902:d505:b0:13e:b49:9d8d with SMTP id
 b5-20020a170902d50500b0013e0b499d8dmr65418plg.22.1632537671589; Fri, 24 Sep
 2021 19:41:11 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 24 Sep 2021 19:41:11 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87eeie8ebe.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 21 Jan 2021 17:06:29 +0100")
References: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
 <87eeie8ebe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 24 Sep 2021 19:41:11 -0700
Message-ID: <CADwFkm=c3X70XKMZneD_qxFqReNUjbhL-iMTiPcWTMCdcCVOKg@HIDDEN>
Subject: Re: bug#40750: Use error face for errors
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 40750
Cc: 40750 <at> debbugs.gnu.org, ndame <ndame@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> ndame <ndame@HIDDEN> writes:
>
>> There is a standard face: error, which is red by default.
>>
>> Error messages in emacs should use it. It makes errors more conspicuous in
>> the echo area and the Messages buffer, distinguishing them from regular
>> messages.
>
> I think having Emacs using red for error message in the echo area etc
> would look pretty odd?  Anybody got an opinion here?

It's hard to say without seeing it in practice.

I think having a face here would be interesting, even if it just looks
like the default face.  That would open the door for experimentation in
third-party themes, and perhaps they will come up with some good ideas
that we will want to imitate.

(See also Bug#50785.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40750; Package emacs. Full text available.

Message received at 40750 <at> debbugs.gnu.org:


Received: (at 40750) by debbugs.gnu.org; 21 Jan 2021 17:39:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 21 12:39:04 2021
Received: from localhost ([127.0.0.1]:59314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2dvE-0000yT-F4
	for submit <at> debbugs.gnu.org; Thu, 21 Jan 2021 12:39:04 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l2dvC-0000xx-J6
 for 40750 <at> debbugs.gnu.org; Thu, 21 Jan 2021 12:39:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=XXBj2zetFK17sE75FsXbgsmtGx3b3ssbWmYoKcQEM3s=; b=I2wyh64+fILVTOjNJ8NgZmlzg7
 BCa5296sLbRt/suc0Ipdn1fEo7jggq3vioQiP0JkiGIG90PnJuci/sJS8qnbmfM3V7LCqvXOKVlhB
 lDjkE1xZ4OlCFQihr/IQ+I0KSHICxoFaUwG7JfVbxFBSMf5DYCKZqeUu48UOhtX//JGc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l2dv3-0007VW-RU; Thu, 21 Jan 2021 18:38:56 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#40750: Use error face for errors
References: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
 <87eeie8ebe.fsf@HIDDEN> <871ree5h29.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVeOTgqJSWjWE/W
 kIH///9xNDpAAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UBFREkCtwjb3MAAAFnSURBVDjLfZTrkcMw
 CIQRaQC5ArJqICf139stcn6AkjvNZOLhM6x4WSSdlh9b/37ku7m9gYUzn1OMN1AHgbgo2fMAJto2
 8AQEjGB3LGsFoLXAJ1ACMbx2KEkAG4wXvIsnjw5MCq+ddAYWwDB5XxEcgBKw9unB3MYNDg+ROV4W
 uVcPb4+1mmyRBC64rjXt3YsEXOgQkUCfCrAlJKriB1g/W0GQAQRjPcOsOgvQicGijMmqvXIohSxg
 YE5H1SCKtzE1A0ODhhnDtYq3285ExwHsdpGA5brGGEwulD5A5MeLHeLGMjXTNaEn8BgrgurRo0dd
 wCw9A4+5dosaVyD9YgFtjEmNVCtOpbIT14xpqcBibO8UNa1B73r3iDX0UQBbyB3hUVl5di+n1Zl2
 FDeDR8yAbIUyJX24bcCf9DyJo0sslDoLVbYWTDF8WuxoBvHeHs9ntxKKwHY7+N9rqD3pl98r2//8
 lvwDfgH5VE8suwrNeQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wMS0yMVQxNzozNjowOSswMDow
 MFcaN4cAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDEtMjFUMTc6MzY6MDkrMDA6MDAmR487AAAA
 AElFTkSuQmCC
X-Now-Playing: Coil's _Swanyard (1)_: "AYOR Master (It's in my blood)"
Date: Thu, 21 Jan 2021 18:38:52 +0100
In-Reply-To: <871ree5h29.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Thu, 21 Jan 2021 17:35:26 +0000")
Message-ID: <874kja5gwj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Basil L. Contovounesios" <contovob@HIDDEN> writes: > I agree,
 but in theory there could be a customisable face for this that > defaults
 to the current default. That's true. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40750
Cc: 40750 <at> debbugs.gnu.org, ndame <ndame@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> I agree, but in theory there could be a customisable face for this that
> defaults to the current default.

That's true.

> But is it even possible to systematically tell whether a given message
> corresponds to an error?

I imagined `error' (and `signal'?) putting a face on the return value
from `format-message':

  (signal 'error (list (apply #'format-message args))))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40750; Package emacs. Full text available.

Message received at 40750 <at> debbugs.gnu.org:


Received: (at 40750) by debbugs.gnu.org; 21 Jan 2021 17:35:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 21 12:35:37 2021
Received: from localhost ([127.0.0.1]:59305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2drt-0000t0-Kn
	for submit <at> debbugs.gnu.org; Thu, 21 Jan 2021 12:35:37 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:43372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1l2drr-0000sn-Fq
 for 40750 <at> debbugs.gnu.org; Thu, 21 Jan 2021 12:35:36 -0500
Received: by mail-wr1-f43.google.com with SMTP id b5so2548489wrr.10
 for <40750 <at> debbugs.gnu.org>; Thu, 21 Jan 2021 09:35:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=70LtEFuRtE2mn4rN8QRORRIVwoVIEtKwqYEXq/DViD0=;
 b=sNbhyUmiEB/xm+Fs/g1R3uh9Z9Cca2rq7lMhDbGjBY1jRR5ckg9Q47oMEB+cFwe/cE
 Gn44uHEpy+16zIpWQcnADB+s0gHy70jBvfJDd4fXhkvlbraxPYwb4e1hwiJmPK7Ogih9
 rHLA4ovoQWop/jNckkIuI5Nu26lYgMfsEsTvDkckCVwyGaKyxacE3qbY2KNReaFSC7ep
 eGTo+IiMWdjO2UVy/0F6AbQRHxyyT/aDb0A3E2tcjnJ4FM/S6UP5H8Lj6IfR1zxv7vqP
 0hcfcH+kb2L00n+WhCRL3QnKnV3xiGbMBV+d2WfMXUFZcKH2SAFXOl7x+swq6CDL+1FJ
 EkaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=70LtEFuRtE2mn4rN8QRORRIVwoVIEtKwqYEXq/DViD0=;
 b=S3vM0UiKY7q9VRIVWQQ1BYNEnuam1VE/PFRm18Wfirkq8kJDZspMJf5PAErPXLasWk
 szrXUnOYm1lmpGSkfHuEqiwJ2iJoFy+fJ7pwwhbAFK6lUqxcv3slYgUcEM2MkN0FiyBv
 kFEHq6Afm83FQJZ6vuC5LmUzKZmVr8vypYiBDI2+ulPi1A8xi7YUYP+uiNO3Dgp+W/hd
 2NVCAH9PbGgPwmGeDTmNbSQYpVZ9hcxwTwEALJMgpSAP330XKfP5aYMjMBOJ2gF/B4BF
 IM4IFQMUBiP7pwgeSi/oY8CyyfmSbvYaebc/cUtnP/U5WAEPj+jTiiSRVQqdhkwap5H/
 DUUw==
X-Gm-Message-State: AOAM533TpxLPT0lyIHhnZoV8XC+7c86CGgwoJy5HBAPvGG/thnmZh1BH
 e1FXAZOZp7LOEILFFAYiTY4QXg==
X-Google-Smtp-Source: ABdhPJwOO06gK43I189P3w8XbAFwbXj1qXoijbW1ZyPH0rIB85QIFX3ILg0A4sa2L5dyRmGP+oreBw==
X-Received: by 2002:a05:6000:101:: with SMTP id
 o1mr514879wrx.211.1611250529587; 
 Thu, 21 Jan 2021 09:35:29 -0800 (PST)
Received: from localhost ([2a02:8084:20e2:c380:d15:339e:aa10:60f1])
 by smtp.gmail.com with ESMTPSA id d2sm9275337wre.39.2021.01.21.09.35.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 21 Jan 2021 09:35:28 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40750: Use error face for errors
References: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
 <87eeie8ebe.fsf@HIDDEN>
Date: Thu, 21 Jan 2021 17:35:26 +0000
In-Reply-To: <87eeie8ebe.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 21 Jan 2021 17:06:29 +0100")
Message-ID: <871ree5h29.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40750
Cc: 40750 <at> debbugs.gnu.org, ndame <ndame@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> ndame <ndame@HIDDEN> writes:
>
>> There is a standard face: error, which is red by default.
>>
>> Error messages in emacs should use it. It makes errors more conspicuous in
>> the echo area and the Messages buffer, distinguishing them from regular
>> messages.
>
> I think having Emacs using red for error message in the echo area etc
> would look pretty odd?  Anybody got an opinion here?

I agree, but in theory there could be a customisable face for this that
defaults to the current default.

But is it even possible to systematically tell whether a given message
corresponds to an error?

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40750; Package emacs. Full text available.

Message received at 40750 <at> debbugs.gnu.org:


Received: (at 40750) by debbugs.gnu.org; 21 Jan 2021 16:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 21 11:06:39 2021
Received: from localhost ([127.0.0.1]:59143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2cTn-00050S-Gg
	for submit <at> debbugs.gnu.org; Thu, 21 Jan 2021 11:06:39 -0500
Received: from quimby.gnus.org ([95.216.78.240]:59086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l2cTm-00050D-9z
 for 40750 <at> debbugs.gnu.org; Thu, 21 Jan 2021 11:06:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=K+cL44k6BBV7nQ9K7ObJCM8OhW7RGlEI8JZQeyY0w9w=; b=JE2W/ZbzjtZ4acrq3oKFqG1vmU
 D4NcSXbovQUNb9oltJ5e6Kla8Yx6AyTR2Z+WC+9xvrRnO3VRGu3dxJDlM3oshQ4Y5miEA6GJTVpA6
 rTrOe1KiR6PnQ2G65Ec2N3WtV1UFD0JvjX3+oztUaFJs4mu09Ts61haXoNBYrrKM6Xlk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l2cTe-0006hJ-94; Thu, 21 Jan 2021 17:06:32 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ndame <ndame@HIDDEN>
Subject: Re: bug#40750: Use error face for errors
References: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
X-Now-Playing: Geoffrey Landers's _Third Noise Principle (Formative North
 American Electronica 1975-1984) (1)_: "Logarithms"
Date: Thu, 21 Jan 2021 17:06:29 +0100
In-Reply-To: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
 (ndame@HIDDEN's message of "Tue, 21 Apr 2020 18:54:23 +0000")
Message-ID: <87eeie8ebe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  ndame <ndame@HIDDEN> writes: > There is a standard
 face: error, which is red by default. > > Error messages in emacs should
 use it. It makes errors more conspicuous in > the echo area and the Messages
 buffer, distinguishing them [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  ndame <ndame@HIDDEN> writes: > There is a standard
 face: error, which is red by default. > > Error messages in emacs should
 use it. It makes errors more conspicuous in > the echo area and the Messages
 buffer, distinguishing them [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [95.216.78.240 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40750
Cc: 40750 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

ndame <ndame@HIDDEN> writes:

> There is a standard face: error, which is red by default.
>
> Error messages in emacs should use it. It makes errors more conspicuous in
> the echo area and the Messages buffer, distinguishing them from regular
> messages.

I think having Emacs using red for error message in the echo area etc
would look pretty odd?  Anybody got an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40750; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2020 18:54:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 21 14:54:44 2020
Received: from localhost ([127.0.0.1]:50745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQy2e-0001eg-4k
	for submit <at> debbugs.gnu.org; Tue, 21 Apr 2020 14:54:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:43278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jQy2d-0001eZ-6b
 for submit <at> debbugs.gnu.org; Tue, 21 Apr 2020 14:54:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47230)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ndame@HIDDEN>) id 1jQy2a-0000Tn-0e
 for bug-gnu-emacs@HIDDEN; Tue, 21 Apr 2020 14:54:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,RCVD_IN_MSPIKE_H2,SPF_HELO_PASS,SPF_PASS,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <ndame@HIDDEN>) id 1jQy2V-0006iy-N6
 for bug-gnu-emacs@HIDDEN; Tue, 21 Apr 2020 14:54:39 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:32410)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ndame@HIDDEN>)
 id 1jQy2U-0006fM-TK
 for bug-gnu-emacs@HIDDEN; Tue, 21 Apr 2020 14:54:35 -0400
Date: Tue, 21 Apr 2020 18:54:23 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587495272;
 bh=tuiGZderFZa4PlqieuTbkXX2SRTDxq969DswUy15BtI=;
 h=Date:To:From:Reply-To:Subject:From;
 b=SSRCpAraQnGqL+3okXZfPbQkjbVs1shyJuQY4oBhHm1aqItnmbRkfuVEhjlzKs7Zt
 due1qrtOhHY2nbAzhHVSd4Qyhl9BeKP6OcmMqQo6RwrsEkG8IVFrZZB51rHgu8kQXC
 9QogyEVm/TBEl2Que+bnjp+//YwrPyeoh+i4L41E=
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Use error face for errors
Message-ID: <O06ygzDk4H-HZOIABHC2itMNG-FV2ZkSYnT8xJdGQ-jSv79LMM0NA1m4N_zst9rdoXo0Q-vDmHaEQCuZ4raF3uxwCI2_jHaP55EJOMzLAzE=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_41f2900051706f17b2295e6fde795957"
Received-SPF: pass client-ip=185.70.40.135; envelope-from=ndame@HIDDEN;
 helo=mail-40135.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/21 14:54:32
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Received-From: 185.70.40.135
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  There is a standard face: error, which is red by default.
 Error messages in emacs should use it. It makes errors more conspicuous in
 the echo area and the Messages buffer,
 distinguishing them from regular messages.
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: protonmail.com]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ndame[at]protonmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.

--b1_41f2900051706f17b2295e6fde795957
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

VGhlcmUgaXMgYSBzdGFuZGFyZCBmYWNlOiBlcnJvciwgd2hpY2ggaXMgcmVkIGJ5IGRlZmF1bHQu
CgpFcnJvciBtZXNzYWdlcyBpbiBlbWFjcyBzaG91bGQgdXNlIGl0LiBJdCBtYWtlcyBlcnJvcnMg
bW9yZSBjb25zcGljdW91cyBpbgp0aGUgZWNobyBhcmVhIGFuZCB0aGUgTWVzc2FnZXMgYnVmZmVy
LCBkaXN0aW5ndWlzaGluZyB0aGVtIGZyb20gcmVndWxhciBtZXNzYWdlcy4=


--b1_41f2900051706f17b2295e6fde795957
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64

PGRpdj5UaGVyZSBpcyBhIHN0YW5kYXJkIGZhY2U6IGVycm9yLCB3aGljaCBpcyByZWQgYnkgZGVm
YXVsdC48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5FcnJvciBtZXNzYWdlcyBpbiBlbWFj
cyBzaG91bGQgdXNlIGl0LiBJdCBtYWtlcyBlcnJvcnMgbW9yZSBjb25zcGljdW91cyBpbjxicj48
L2Rpdj48ZGl2PnRoZSBlY2hvIGFyZWEgYW5kIHRoZSBNZXNzYWdlcyBidWZmZXIsIGRpc3Rpbmd1
aXNoaW5nIHRoZW0gZnJvbSByZWd1bGFyIG1lc3NhZ2VzLjxicj48L2Rpdj4=



--b1_41f2900051706f17b2295e6fde795957--





Acknowledgement sent to ndame <ndame@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40750; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 25 Sep 2021 02:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.